package com.engine.kq.enums;

public enum KqSplitFlowTypeEnum {

  /**
   * 请假
   */
  LEAVE("kq_flow_split_leave","kq_flow_freeze_leave", 0),
  /**
   * 出差
   */
  EVECTION("kq_flow_split_evection","kq_flow_freeze_evection", 1),
  /**
   * 公出
   */
  OUT("kq_flow_split_out","kq_flow_freeze_out", 2),
  /**
   * 加班
   */
  OVERTIME("kq_flow_split_overtime","kq_flow_freeze_overtime", 3),
  /**
   * 异常流程
   */
  OTHER("kq_flow_split_other","kq_flow_freeze_other", 4),
  /**
   * 排班
   */
  SHIFT("","", 5),
  /**
   * 销假
   */
  LEAVEBACK("kq_flow_split_leaveback","kq_flow_freeze_leaveback", 6),
  /**
   * 补卡 补卡直接就读取的明细数据
   * 补卡直接插入签到签退表里
   */
  CARD("hrmschedulesign","", 7),
  /**
   * 考勤流程变更
   */
  PROCESSCHANGE("kq_flow_split_processchange","", 8);

  private String tablename;
  private String freezeTablename;
  private int flowtype;

  /**
   *
   * @param tablename 拆分表
   * @param freezeTablename 冻结表
   * @param flowtype 类型标识
   */
  KqSplitFlowTypeEnum(String tablename,String freezeTablename, int flowtype) {
    this.tablename = tablename;
    this.freezeTablename = freezeTablename;
    this.flowtype = flowtype;
  }

  public String getTablename() {
    return tablename;
  }

  public void setTablename(String tablename) {
    this.tablename = tablename;
  }

  public int getFlowtype() {
    return flowtype;
  }

  public void setFlowtype(int flowtype) {
    this.flowtype = flowtype;
  }

  public String getFreezeTablename() {
    return freezeTablename;
  }

  public void setFreezeTablename(String freezeTablename) {
    this.freezeTablename = freezeTablename;
  }
}
